[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetDefaultColumnReadOnly

Gets the default ReadOnlyvalue for the specified column.

## Declaration

Source position: dbgrids.pas line 463

`protected function TCustomDBGrid.GetDefaultColumnReadOnly(`
`Column: Integer`
`):Boolean; override;`

## Arguments

`Column` |  | Column number to examine.

## Function result

True when the column cannot be modified.

## Description

GetDefaultColumnReadOnly is an overridden Boolean function used to get the ReadOnly value for the grid control. GetDefaultColumnReadOnly determines the effective read only status for the control using the ReadOnly property, as well as the DataLink property and the TField used for the specified column.